Custom Attributes
Create and manage Custom Attributes for your organization.
Retrieves all custom attribute definitions.
Query parameters
management_typestring · enum · nullableOptionalPossible values:
Filter by management type
Responses
200
Successful Response
application/json
or
422
Validation Error
application/json
get/custom-attributes
GET /api/v1/data/custom-attributes HTTP/1.1
Host: connect.<REGION>.decube.io
Accept: */*
[
{
"id": 1,
"type": "text",
"label": "text",
"description": "text",
"allowed_objects": [
"source"
],
"management_type": "user",
"system_identifier": "constraints"
}
]Creates a new custom attribute definition using the provided request body.
Body
or
or
or
or
Responses
200
Successful Response
application/json
anyOptional
422
Validation Error
application/json
post/custom-attributes
POST /api/v1/data/custom-attributes HTTP/1.1
Host: connect.<REGION>.decube.io
Content-Type: application/json
Accept: */*
Content-Length: 97
{
"label": "text",
"description": "text",
"allowed_objects": [
"source"
],
"type": "text",
"cfg_max_char": 1
}No content
Updates and replaces an existing custom attribute definition.
Body
or
or
or
or
Responses
200
Successful Response
application/json
anyOptional
422
Validation Error
application/json
put/custom-attributes
PUT /api/v1/data/custom-attributes HTTP/1.1
Host: connect.<REGION>.decube.io
Content-Type: application/json
Accept: */*
Content-Length: 104
{
"label": "text",
"description": "text",
"allowed_objects": [
"source"
],
"id": 1,
"type": "text",
"cfg_max_char": 1
}No content
Deletes a custom attribute definition by ID.
Query parameters
idintegerRequired
Responses
200
Successful Response
application/json
anyOptional
422
Validation Error
application/json
delete/custom-attributes
DELETE /api/v1/data/custom-attributes?id=1 HTTP/1.1
Host: connect.<REGION>.decube.io
Accept: */*
No content
Last updated